## fotocx 24.10

=== debian/changelog ===
fotocx (24.10-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.
  * App name change from fotoxx to fotocx.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 01 Feb 2024 17:54:56 -0800

fotoxx (23.82-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 19 Dec 2023 12:20:12 -0800

fotoxx (23.81-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 10 Dec 2023 08:29:06 -0800

fotoxx (23.80-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 03 Dec 2023 10:08:40 -0800

fotoxx (23.74-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 03 Nov 2023 12:10:24 -0700

fotoxx (23.72-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 28 Oct 2023 05:56:07 -0700

fotoxx (23.70-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 06 Oct 2023 16:43:27 -0700

fotoxx (23.60-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 06 Aug 2023 07:52:32 -0700

fotoxx (23.50-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 17 May 2023 14:10:50 -0700

fotoxx (23.32-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 08 Apr 2023 18:48:31 -0700

fotoxx (23.31-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 04 Apr 2023 18:09:28 -0700

fotoxx (23.2-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 25 Mar 2023 19:44:37 -0700

fotoxx (23.1-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 02 Feb 2023 13:29:20 -0800

fotoxx (23.0-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 07 Jan 2023 07:10:10 -0800

fotoxx (22.41-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 05 Nov 2022 17:02:55 -0700

fotoxx (22.35-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 10 Oct 2022 19:19:23 -0700

fotoxx (22.31-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 04 Sep 2022 06:27:25 -0700

fotoxx (22.30-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 07 Aug 2022 16:20:56 -0700

fotoxx (22.20-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 01 Jul 2022 07:49:58 -0700

fotoxx (22.18-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 06 Jun 2022 18:25:48 -0700

fotoxx (22.16-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 05 May 2022 16:15:46 -0700

fotoxx (22.15-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 02 Apr 2022 05:46:45 -0700

fotoxx (22.14-1mx21+1) mx; urgency=medium

  * Rebuild for MX21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 12 Mar 2022 05:52:57 -0800

fotoxx (22.12-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 07 Feb 2022 16:33:18 -0800

fotoxx (22.1-1mx21+1) mx; urgency=medium

  * Rebuild for MX21.
  * New default icon sizes.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 08 Jan 2022 13:08:41 -0800

fotoxx (21.60-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 18 Oct 2021 18:54:00 -0700

fotoxx (21.55-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 03 Oct 2021 13:09:15 -0700

fotoxx (21.52-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 04 Sep 2021 11:58:51 -0700

fotoxx (21.50-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 02 Aug 2021 14:31:57 -0700

fotoxx (21.44-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 04 Jul 2021 10:10:50 -0700

fotoxx (21.42-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 15 Jun 2021 20:00:55 -0700

fotoxx (21.41-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 06 Jun 2021 07:04:43 -0700

fotoxx (21.40-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 21 Apr 2021 16:42:38 -0700

fotoxx (20.08-2) unstable; urgency=medium

  * debian/control:
    - Add dcraw to Depends. (closes: #955727)
      Thanks to Alberto Luaces for the bug report and patch.

 -- Santiago Torres Batan <santi73@gmail.com>  Sat, 04 Apr 2020 13:54:45 -0300

fotoxx (20.08-1) unstable; urgency=medium

  * New upstream version 20.08
  * debian/copyright:
    - Update Copyright Years and contact email
    - Add https to Upstream contact webpage
    - Add license CC0 to appdata/fotoxx.metadata.xml
  * debian/patches:
    - Removes patch 0001-Add-primary-category-to-desktop-file.patch.
      (Applied by upstream)
    - Adds patches for switching off 'phone home' by default.
      Removes old 0002-Do-not-phone-home.patch.
    - Adds 0002-manage-has-bad-whatis-entry.patch
      Fix manpage line breaks and 'what is' section.
    - Adds/Edit Patches headers.
    - Updates series file.
  * debian/control:
    - Bumps Standars Version to 4.5.0.
    - Adds Rules-Requires-Root: no.
    - Updates package Description.

