=== debian/changelog ===
fotocx (24.11-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 07 Feb 2024 16:00:32 -0800
