## fotocx 24.30

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
          `$(PKG_CONFIG) --cflags gtk+-3.0 --libs champlain-gtk-0.12`
 
 LIBS = `$(PKG_CONFIG) --libs gtk+-3.0`                                              \
-         -lrt -lpthread -llcms2 -ltiff -lpng -ljpeg                                 \
+         -lrt -lpthread -ltiff -lpng -ljpeg                                         \
          -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12
 
 ALLFILES = fotocx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.select.o f.meta.o    \
@@ -101,46 +101,43 @@
 	@echo DEBUG BUILD
 endif
 
-# install application files in standard locations
-PREFIX ?= /usr
+# install application files in standard locations        24.21
+PREFIX ?= /usr/local
 BINDIR = $(PREFIX)/bin
+MENUDIR = $(PREFIX)/share/applications
 DOCDIR = $(PREFIX)/share/doc/fotocx
 MANDIR = $(PREFIX)/share/man/man1
-MENUDIR = $(PREFIX)/share/applications
-SHAREDIR = $(PREFIX)/share/fotocx
-DATADIR = $(SHAREDIR)/data
-IMAGEDIR = $(SHAREDIR)/images
-ICONDIR = $(SHAREDIR)/icons
+DATADIR = $(PREFIX)/share/fotocx
+ICONDIR = $(PREFIX)/share/icons
 METAINFODIR = $(PREFIX)/share/metainfo
                                          
 install: fotocx uninstall
 	mkdir -p  $(DESTDIR)$(BINDIR)
+	mkdir -p  $(DESTDIR)$(MENUDIR)
 	mkdir -p  $(DESTDIR)$(DOCDIR)
 	mkdir -p  $(DESTDIR)$(MANDIR)
-	mkdir -p  $(DESTDIR)$(MENUDIR)
 	mkdir -p  $(DESTDIR)$(DATADIR)
-	mkdir -p  $(DESTDIR)$(IMAGEDIR)
 	mkdir -p  $(DESTDIR)$(ICONDIR)
 	mkdir -p  $(DESTDIR)$(METAINFODIR)
-	cp -f     fotocx $(DESTDIR)$(BINDIR)
+
+	cp -f fotocx $(DESTDIR)$(BINDIR)
+	cp -f fotocx.desktop $(DESTDIR)$(MENUDIR)
 	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
-	cp -f -R  data/* $(DESTDIR)$(DATADIR)
-	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
-	cp -f     metainfo/* $(DESTDIR)$(METAINFODIR)
-	# man page
 	gzip -fk -9 man/fotocx.man
 	mv -f man/fotocx.man.gz $(DESTDIR)$(MANDIR)/fotocx.1.gz
-	# desktop file and icon
-	cp -f fotocx.desktop $(DESTDIR)$(MENUDIR)
+	cp -f -R  data $(DESTDIR)$(DATADIR)
+	cp -f -R  images $(DESTDIR)$(DATADIR)
 	cp -f fotocx.png $(DESTDIR)$(ICONDIR)
+	cp -f metainfo/* $(DESTDIR)$(METAINFODIR)
 
 uninstall:
-	rm -f     $(DESTDIR)$(BINDIR)/fotocx
+	rm -f     $(DESTDIR)$(BINDIR)/fotocx*
+	rm -f     $(DESTDIR)$(MENUDIR)/fotocx*
 	rm -f -R  $(DESTDIR)$(DOCDIR)
-	rm -f     $(DESTDIR)$(MANDIR)/fotocx.*
-	rm -f     $(DESTDIR)$(MENUDIR)/fotocx.*
-	rm -f -R  $(DESTDIR)$(SHAREDIR)
-	rm -f     $(DESTDIR)$(METAINFODIR)/kornelix*
+	rm -f     $(DESTDIR)$(MANDIR)/fotocx*
+	rm -f -R  $(DESTDIR)$(DATADIR)
+	rm -f     $(DESTDIR)$(ICONDIR)/fotocx*
+	rm -f     $(DESTDIR)$(METAINFODIR)/kornelix.fotocx*
 
 clean:
 	rm -f  fotocx
