=== debian/changelog ===
fotocx (24.30-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 08 May 2024 13:38:53 -0700

fotocx (24.21-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 04 Apr 2024 14:21:58 -0700

fotocx (24.11-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 07 Feb 2024 15:59:47 -0800

fotocx (24.10-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.
  * App name change from fotoxx to fotocx

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 01 Feb 2024 18:17:03 -0800

fotoxx (23.82-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 19 Dec 2023 12:19:40 -0800

fotoxx (23.81-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 10 Dec 2023 08:53:45 -0800

fotoxx (23.80-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 03 Dec 2023 10:08:00 -0800
