## fotocx 24.40

=== debian/changelog ===
fotocx (24.40-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 06 Jun 2024 12:20:16 -0700

fotocx (24.30-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 08 May 2024 13:23:36 -0700
