## fotocx 24.50

=== debian/changelog ===
fotocx (24.50-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 03 Jul 2024 16:08:13 -0700
