## fotocx 24.60

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 CXXFLAGS += -fpermissive -Wno-write-strings 
 CXXFLAGS += -Wno-deprecated-declarations       			## champlain-tile.h broken since 2020
 CXXFLAGS += -Wno-class-memaccess                      ## new restriction Oct 2023
+CXXFLAGS += -fno-omit-frame-pointer                   ## for backtrace reliability  24.60
 
 ifeq ($(CXX), clang++)                                #  CLANG
    ifdef DEBUG
