=== debian/changelog ===
fotocx (24.60-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 02 Oct 2024 08:37:25 -0700
