## fotocx 24.70

=== debian/changelog ===
fotocx (24.70-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 06 Nov 2024 05:13:44 -0800
