## fotocx 25.0

=== debian/changelog ===
fotocx (25.0-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 29 Mar 2025 09:01:03 -0700

fotocx (25.0-1mx21+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 06 Jan 2025 16:12:57 -0800
