## fotocx 25.2

=== debian/changelog ===
fotocx (25.2-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 11 Jul 2025 17:57:07 -0700

fotocx (25.0-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 06 Jan 2025 16:12:57 -0800
