## fotocx 25.3

=== debian/changelog ===
fotocx (25.3-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 15 Aug 2025 12:23:14 -0700

fotocx (25.2-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 11 Jul 2025 18:05:17 -0700
