## fotocx 25.4

=== debian/changelog ===
fotocx (25.4-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 25 Oct 2025 13:43:39 -0700
