=== debian/control ===
Source: fotocx
Section: graphics
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Santiago Torres Batan <santi73@gmail.com>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper-compat (= 12),
	binutils, 
    dcraw,  
    g++,
	libchamplain-gtk-0.12-dev,
	libgtk-3-dev,
	liblcms2-dev,
	libraw-dev,
	libtiff-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.kornelix.net/fotocx/fotocx.html
Vcs-Browser: https://salsa.debian.org/debian/fotocx
Vcs-Git: https://salsa.debian.org/debian/fotocx.git

Package: fotocx
Architecture: any
Depends: fotocx-common (= ${source:Version}),
	 libimage-exiftool-perl (>= 8.60),
	 xdg-utils,
	 dcraw,
	 ${misc:Depends},
	 ${shlibs:Depends},
Suggests: ffmpeg, growisofs, hugin, rawtherapee, vlc, libopenjp2-tools
Breaks: fotoxx
Replaces: fotoxx
Description: Edit photos and manage a large collection
 Navigate a large image collection with a thumbnail browser.
 View and edit image files (RAW, jpeg, png, tiff ...).
 Editing is done in 24 bits/color, output is 8 or 16 bits/color.
 Fotocx has extensive tools for edit, repair, and special effects.
 Fotocx is fast and interactive: view full image as it changes.
 Undo and redo within and across edit functions.
 File versioning: save and recall multiple edit stages.
 Select image features or areas to edit separately from background.
 Copy and paste area selections within and across images.
 Composite functions: HDR, HDF, panorama, stack, image/text montage.
 Metadata edit and report: tags, captions, dates, locations ...
 Search images based on any metadata and folder/file names or parts.
 Albums: select images and arranged order with drag and drop.
 Slide Show with animated transitions and pan/zoom.
 Scalable world map with image markers - click marker for gallery.
 Batch functions: convert, resize, upright, move, revise metatata.
 User Guide (English) describes all functions in great detail.

Package: fotocx-common
Architecture: all
Depends: ${misc:Depends}
Breaks: fotoxx
Replaces: fotoxx
Description: Edit photos and manage a large collection - common files
 Navigate a large image collection with a thumbnail browser.
 View and edit image files (RAW, jpeg, png, tiff ...).
 Editing is done in 24 bits/color, output is 8 or 16 bits/color.
 Fotocx has extensive tools for edit, repair, and special effects.
 Fotocx is fast and interactive: view full image as it changes.
 Undo and redo within and across edit functions.
 File versioning: save and recall multiple edit stages.
 Select image features or areas to edit separately from background.
 Copy and paste area selections within and across images.
 Composite functions: HDR, HDF, panorama, stack, image/text montage.
 Metadata edit and report: tags, captions, dates, locations ...
 Search images based on any metadata and folder/file names or parts.
 Albums: select images and arranged order with drag and drop.
 Slide Show with animated transitions and pan/zoom.
 Scalable world map with image markers - click marker for gallery.
 Batch functions: convert, resize, upright, move, revise metatata.
 User Guide (English) describes all functions in great detail.
 .
 This package contains architecture independent files such as icons, pixmaps,
 documentation, and translations.
