=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://www.kornelix.net/downloads/downloads.html downloads/fotocx-([\d.]+).tar.gz
