## fotocx 25.5

=== debian/changelog ===
fotocx (25.5-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 20 Nov 2025 03:56:14 -0800
