## fotocx 26.1

=== debian/changelog ===
fotocx (26.1-1mx25+1) mx; urgency=medium

  * Added libjxl-dev to the depends list.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 16 Jan 2026 05:47:23 -0800

fotocx (25.5-1mx23+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 20 Nov 2025 03:55:30 -0800

fotocx (25.4-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 25 Oct 2025 13:47:07 -0700

fotocx (25.3-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 15 Aug 2025 12:22:24 -0700
