## fotocx 26.2

=== debian/changelog ===
fotocx (26.2-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 22 Jan 2026 18:43:32 -0800
