=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	liblcms2-dev,
 	libraw-dev,
 	libtiff-dev,
+	libjxl-dev
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.kornelix.net/fotocx/fotocx.html
